Bug 1261705 - Deployment resources don't show up on deployments page unless refresh the page every time
Deployment resources don't show up on deployments page unless refresh the pag...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 22:41 EDT by Yanping Zhang
Modified: 2015-11-23 16:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:18:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanping Zhang 2015-09-09 22:41:15 EDT
Description of problem:
When there are deployment resources existing, click into Browse->Deployments every time, the context is blank under the Deployments item, unless we refresh the page.

Version-Release number of selected component (if applicable):
devenv_fedora_2313
$ oc version
oc v1.0.5-318-g1fb52fd
kubernetes v1.1.0-alpha.0-1605-g44c91b1


How reproducible:
Always

Steps to Reproduce:
1.Create app in project.
$oc create -f origin/examples/sample-app/application-template-stibuild.json -n pro1
$oc new-app ruby-helloworld-sample -n pro1
2.Login the web console, in the project "pro1", click Browse->Deployments, check the existing deployment resources.
3.Under Browse->Deployments, refresh the page, check the context.

Actual results:
2.Under Deployments item, there is nothing shown in the page.
3.Deployments resources show up in the page.

Expected results:
2.The Deployments page should display the deployment resources.

Additional info:
Comment 1 Jessica Forrester 2015-09-10 09:00:23 EDT
A fix for this merged late yesterday https://github.com/openshift/origin/pull/4598
Comment 2 Yanping Zhang 2015-09-11 04:14:28 EDT
Tested on fedora_devenv_2323
$ openshift version
openshift v1.0.5-344-gd9fb965
kubernetes v1.1.0-alpha.0-1605-g44c91b1

After create nodejs app on web console, check the deployment resources under "Browse->Deployments", the resources can display immediately, no need to refresh page now.

So move the bug to Verified.

Note You need to log in before you can comment on or make changes to this bug.